Bug 427551 - less-406-Foption.patch breaks -F
less-406-Foption.patch breaks -F
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: less (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-04 11:54 EST by Guillaume Chazarain
Modified: 2008-01-25 03:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-25 03:28:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guillaume Chazarain 2008-01-04 11:54:08 EST
Description of problem:

less -F fails to restore the terminal setting when the file fits the window.

How reproducible:

Always

Steps to Reproduce:
1. echo toto|less -F in a gnome terminal
  
Actual results:

Scrollbars become non functional, as well as Shit-Page(Up|Down)

Expected results:

When less -F automatically exits, scrollbars and Shit-Page(Up|Down) should work
as before the less invocation.

Additional info:

Reverting less-406-Foption.patch fixes the problem for me.
Comment 1 Zdenek Prikryl 2008-01-18 08:31:32 EST
If you remove -F patch, then works onlny gnome-terminla, but kconcole or
Terminal doesn't. So I rewrote -F patch.
Comment 2 Guillaume Chazarain 2008-01-20 17:15:01 EST
And less-418-2.fc9.i386, that includes the new patch, works fine for me. Thanks !
Comment 3 Fedora Update System 2008-01-22 10:57:17 EST
less-406-14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.